import { User } from "@cleavelandprice/ngx-lib/active-directory";
import { PhotoItem } from "@cleavelandprice/ngx-lib/sharepoint";
import { UserChooserFilterOptions } from "./user-chooser-filter-options";
import { UserChooserMode } from "./user-chooser-mode";
import { UserChooserPreProcessingGroup } from "./user-chooser-pre-processing-group";
export interface UserChooserData {
    closeWhenSelectionMade: boolean;
    includeDisabledUsers: boolean;
    filterOptions: UserChooserFilterOptions;
    mode: UserChooserMode;
    parentOu: string | undefined;
    returnUserObjects: boolean;
    showGroupMembershipTooltips: boolean;
    showPhone: boolean;
    title: string;
    exclusions: UserChooserPreProcessingGroup;
    inclusions: UserChooserPreProcessingGroup;
    preSelections: UserChooserPreProcessingGroup;
    users?: User[];
    photos?: PhotoItem[];
}
